# Bakery::BusyCursor Class Reference

Changes the cursor for as long as this instance lives. More...

`#include <BusyCursor.h>`

List of all members.

## Public Member Functions

| BusyCursor (Gtk::Window &window, Gdk::CursorType cursor_type=Gdk::WATCH)
| Associate a busy cursor with the window, for the lifetime of this object.
| BusyCursor (Gtk::Window *window, Gdk::CursorType cursor_type=Gdk::WATCH)
| Associate a busy cursor with the window, for the lifetime of this object, if window is not 0.
virtual | ~BusyCursor ()

## Protected Types

typedef std::map< Gtk::Window *, Gdk::Cursor > | type_map_cursors

## Protected Member Functions

void | init ()
void | force_gui_update ()

## Protected Attributes

Gdk::Cursor | m_Cursor
Gtk::Window * | m_pWindow
Glib::RefPtr< Gdk::Window > | m_refWindow
Gdk::Cursor | m_old_cursor
bool | m_old_cursor_valid

## Static Protected Attributes

static type_map_cursors | m_map_cursors

## Detailed Description

Changes the cursor for as long as this instance lives.

For instance, put it at the start of code in a { and } block.

## Member Typedef Documentation

typedef std::map<Gtk::Window*, Gdk::Cursor> Bakery::BusyCursor::type_map_cursors `[protected]`

## Constructor & Destructor Documentation

Bakery::BusyCursor::BusyCursor | ( | Gtk::Window & | window,
|  | Gdk::CursorType | cursor_type = `Gdk::WATCH` |
| ) |  |  |

Associate a busy cursor with the window, for the lifetime of this object.

Bakery::BusyCursor::BusyCursor | ( | Gtk::Window * | window,
|  | Gdk::CursorType | cursor_type = `Gdk::WATCH` |
| ) |  |  |

Associate a busy cursor with the window, for the lifetime of this object, if window is not 0.

virtual Bakery::BusyCursor::~BusyCursor | ( |  | ) | `[virtual]`

## Member Function Documentation

void Bakery::BusyCursor::init | ( |  | ) | `[protected]`

void Bakery::BusyCursor::force_gui_update | ( |  | ) | `[protected]`

## Member Data Documentation

Gdk::Cursor Bakery::BusyCursor::m_Cursor `[protected]`

Gtk::Window* Bakery::BusyCursor::m_pWindow `[protected]`

Glib::RefPtr<Gdk::Window> Bakery::BusyCursor::m_refWindow `[protected]`

type_map_cursors Bakery::BusyCursor::m_map_cursors `[static, protected]`

Gdk::Cursor Bakery::BusyCursor::m_old_cursor `[protected]`

bool Bakery::BusyCursor::m_old_cursor_valid `[protected]`

The documentation for this class was generated from the following file:

- BusyCursor.h